Skip to main content

Information Required

Different information is required for verification, including both non-documentary and documentary checks.

Profile

Documentation

For more details check Documents
For US and Canadian users, proof of address is optional if a driver’s license, national ID, or resident permit is submitted as the government-issued ID.
proofOfResidence needs to be issued within the last 3 months

Questionnaire (Optional)

Example: Full KYC Flow

1

Update Compliance Profile

Update user’s non-documentary informationRequest
Response
2

Add Documentation

Upload the documentation to fulfill both the ID and proof of address requirements
Use the File endpoint to upload the file first, then add the documentation to the user with the returned file ID (e.g. file_xxxxxxxxxxxx).

Government Issued ID

Request
Response
If the document has two sides, submit both, using FRONT_SIDE and BACK_SIDE for the subType.

Proof of Address

Request
Response
For US and Canadian users, if a driver’s license, national ID, or resident permit has already been submitted as the government-issued ID, no additional proof of address is needed.
3

Update Questionnaire (optional)

Request
Response
4

Submit Compliance Information for Check

Once all the required information is updated, submit the application for compliance reviewRequest
Response
5

Get the KYC status

Listen to our webhook or polling the user’s compliance statusRequest
Response

Expected Behavior

After submission, the application has the following possible states:
What’s next:Wait for corridor functionality to be unlocked for the user. The timing may vary, and based on the customer profile, the user may not be eligible for all corridors.
?
The application is currently under review by our compliance team.What you can expect:
  • An RFI may be sent to your compliance mailbox requesting additional information
  • The status may move to REQUIRES_INFO after our compliance check — use GET /v3/users/:user_id/compliance/status to see what additional information is required
  • The status may move to REJECTED or APPROVED when a final decision is made by our compliance team
Our compliance team has determined that we cannot onboard this user. Reach out to our support team for more information.
Our compliance team has requested updates to the applicant’s data before resubmission. Common reasons include: a mismatched address on the proof of address, blurry documentation, or an incorrectly formatted document.For more details, check the rfiActions field after calling GET /v3/users/:user_id/compliance/status.Example
Update the information, then use POST /v3/users/:user_id/compliance/submit to submit the application again.

RFI Actions

When a submitted application needs updated information, the status transitions to REQUIRES_INFO and the rfiActions field will include the actions required before resubmission.

Getting Help

  • 📧 Email: support@hifi.com
  • 💬 Slack: Message us in our shared Slack channel
  • User Overview - User types and creation
  • KYB (Business) - Business verification requirements
  • Virtual Accounts - Set up fiat deposit accounts
  • API Reference: Complete endpoints